package eu.ztsh.garmin

import org.junit.jupiter.api.Assertions.*
import org.junit.jupiter.api.Test

class GarminTest {

    @Test
    fun arayCreationTest() {
        arrayTest(intArrayOf(0x04, 0x01), intArrayOf(16, 123, 8, 2, 0, 0, 0, 85, 21, 4, 1, 12, 16, 3))
        arrayTest(
            intArrayOf(3, 0, 0, 9, 0, 9, 3),
            intArrayOf(16, 123, 13, 7, 0, 0, 0, 85, 21, 3, 0, 0, 9, 0, 9, 3, 0xef, 16, 3)
        )
    }

    private fun arrayTest(input: IntArray, expected: IntArray) {
        val output = Garmin.prepareData(input)
        assertArrayEquals(expected, output)
    }

}
